org.richfaces.renderkit.html

## Class PanelBaseRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.PanelBaseRenderer

- Direct Known Subclasses:
    PanelRenderer

      public class PanelBaseRenderer
      extends org.richfaces.renderkit.RendererBase

  Since:
    Jun 14, 2010
  Author:
    amarkhel

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelBaseRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `void` | `renderHeaderFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PanelBaseRenderer

          public PanelBaseRenderer()

  - ### Method Detail

    - #### renderHeaderFacet

          public void renderHeaderFacet(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                                 throws IOException

      Throws:
        `IOException`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Overrides:
        `getComponentClass` in class `org.richfaces.renderkit.RendererBase`

Copyright © 2014 JBoss by Red Hat. All rights reserved.